/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "StdAir", "index.html", [
    [ "StdAir Documentation", "index.html", [
      [ "Getting Started", "index.html#getting_started", null ],
      [ "StdAir on GitHub", "index.html#at_github", null ],
      [ "StdAir Development", "index.html#development", null ],
      [ "External Libraries", "index.html#external_libs", null ],
      [ "Support StdAir", "index.html#social_sponsorship", null ],
      [ "About StdAir", "index.html#about", null ]
    ] ],
    [ "BomAbstract", "a02772.html", null ],
    [ "C++ Utility Class Browsing and Dumping the StdAir BOM Tree", "a02773.html", null ],
    [ "KeyAbstract", "a02774.html", null ],
    [ "C++ Class Building Sample StdAir BOM Trees", "a02775.html", null ],
    [ "C++ Class Storing the StdAir Context", "a02776.html", null ],
    [ "People", "a02777.html", [
      [ "Project Admins (and Developers)", "a02777.html#admins", null ],
      [ "Retired Developers", "a02777.html#retired", null ],
      [ "Contributors", "a02777.html#contributors", null ],
      [ "Distribution Maintainers", "a02777.html#distributors", null ]
    ] ],
    [ "Coding Rules", "a02778.html", [
      [ "Default Naming Rules for Variables", "a02778.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "a02778.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "a02778.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "a02778.html#cr_files", null ],
      [ "Default Functionality of Classes", "a02778.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "a02779.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "a02779.html#gnugpl", [
        [ "Version 2.1, February 1999", "a02779.html#version", null ]
      ] ],
      [ "Preamble", "a02779.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "a02779.html#terms", [
        [ "NO WARRANTY", "a02779.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "a02779.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "a02779.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "a02780.html", [
      [ "General Rules", "a02780.html#doc_general", null ],
      [ "File Header", "a02780.html#doc_header", null ],
      [ "Grouping Various Parts", "a02780.html#doc_groups", null ]
    ] ],
    [ "Main features", "a02781.html", [
      [ "Standard Airline IT Business Object Model (BOM)", "a02781.html#airline_it_bom", null ],
      [ "Architecture of the StdAir library", "a02781.html#architecture", null ]
    ] ],
    [ "Make a Difference", "a02782.html", null ],
    [ "Make a new release", "a02783.html", [
      [ "Introduction", "a02783.html#description", null ],
      [ "Initialisation", "a02783.html#initialisation", null ],
      [ "Branch creation", "a02783.html#branch_creation", null ],
      [ "Commit and publish the release branch", "a02783.html#branch_publish", null ],
      [ "Update the change-log in the trunk as well", "a02783.html#trunk_update", null ],
      [ "Create distribution packages", "a02783.html#create_packages", null ],
      [ "Generation the RPM packages", "a02783.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "a02783.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "a02783.html#create_bin_packages", null ],
      [ "Files on GitHub", "a02783.html#upload_files", null ],
      [ "Upload the documentation to GitHub", "a02783.html#upload_doc", null ]
    ] ],
    [ "Installation", "a02784.html", [
      [ "Table of Contents", "a02784.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "a02784.html#rpm_linux", null ],
      [ "StdAir Requirements", "a02784.html#requirements", null ],
      [ "Basic Installation", "a02784.html#basic_instructions", null ],
      [ "Compilers and Options", "a02784.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "a02784.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "a02784.html#installation_names", null ],
      [ "Optional Features", "a02784.html#optional_features", null ],
      [ "Particular systems", "a02784.html#particular_systems", null ],
      [ "Specifying the System Type", "a02784.html#specifying_system_type", null ],
      [ "Sharing Defaults", "a02784.html#sharing_defaults", null ],
      [ "Defining Variables", "a02784.html#defining_variables", null ],
      [ "`cmake' Invocation", "a02784.html#cmake_invocation", null ]
    ] ],
    [ "Linking with StdAir", "a02785.html", [
      [ "Introduction", "a02785.html#intro", null ],
      [ "Using the pkg-config command", "a02785.html#pkgconfig", null ],
      [ "Using the stdair-config script", "a02785.html#stdair_config", null ],
      [ "M4 macro for the GNU Autotools", "a02785.html#autotools", null ],
      [ "Using StdAir with dynamic linking", "a02785.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "a02786.html", [
      [ "The Test Source Files", "a02786.html#test_source", null ],
      [ "The Reference File", "a02786.html#reference_file", null ],
      [ "Testing StdAir Library", "a02786.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "a02787.html", [
      [ "Table of Contents", "a02787.html#ug_toc", null ],
      [ "Introduction", "a02787.html#ug_introduction", null ],
      [ "Get Started", "a02787.html#ug_get_started", [
        [ "Get the StdAir library", "a02787.html#ug_get_source", null ],
        [ "Build the StdAir project", "a02787.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "a02787.html#ug_build_and_run_tests", null ],
        [ "Install the StdAir Project (Binaries, Documentation)", "a02787.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "a02787.html#ug_bom_tree", [
        [ "Airline Distribution BOM Tree", "a02787.html#ug_bom_distribution", null ],
        [ "Airline Network BOM Tree", "a02787.html#ug_bom_schedule", null ],
        [ "Airline Inventory BOM Tree", "a02787.html#ug_bom_inventory", [
          [ "Airline Inventory Marketing BOM Tree", "a02787.html#ug_bom_segment_branch", null ],
          [ "Airline Inventory Operating BOM Tree", "a02787.html#ug_bom_leg_branch", null ]
        ] ]
      ] ],
      [ "Extending the BOM Tree", "a02787.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "a02788.html", [
      [ "StdAir 3.10.x", "a02788.html#stdair_3_10", [
        [ "Linux Systems", "a02788.html#linux", [
          [ "Fedora Core 4 with ATLAS", "a02788.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "a02788.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "a02788.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "a02788.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "a02788.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with StdAir External", "a02788.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "a02788.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "a02788.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "a02788.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "a02788.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "a02788.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "a02788.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "a02788.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and StdAir External", "a02788.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "a02788.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "a02788.html#unix", [
          [ "SunOS 5.9 with StdAir External", "a02788.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "StdAir Supported Systems (Previous Releases)", "a02789.html", [
      [ "StdAir 3.9.1", "a02789.html#stdair_3_9_1", null ],
      [ "StdAir 3.9.0", "a02789.html#stdair_3_9_0", null ],
      [ "StdAir 3.8.1", "a02789.html#stdair_3_8_1", null ]
    ] ],
    [ "Tutorials", "a02790.html", [
      [ "Table of Contents", "a02790.html#tut_toc", null ],
      [ "Introduction", "a02790.html#tut_introduction", [
        [ "Preparing the StdAir Project for Development", "a02790.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "a02790.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "a02790.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "a02790.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "a02790.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "a02790.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "a02790.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "a02790.html#tut_result_output", null ]
      ] ],
      [ "Extend the Pre-Defined BOM Tree", "a02790.html#tut_extend_bom_tree", [
        [ "Extend an Airline Inventory Object", "a02790.html#tut_extend_inventory", null ],
        [ "Build the Specific BOM Objects", "a02790.html#tut_extend_build", null ],
        [ "Result of the Tutorial Program", "a02790.html#tut_extend_result_output", null ]
      ] ]
    ] ],
    [ "Command-Line Utility to Demonstrate Typical StdAir Usage", "a02791.html", null ],
    [ "Specific Implementation of a BOM Root", "a02792.html", null ],
    [ "Specific Implementation of a BOM Root", "a02793.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a02794.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a02795.html", null ],
    [ "Command-Line Test to Demonstrate How To Extend StdAir BOM", "a02796.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00002.html",
"a00023.html#ab2bebe3416c3b06022db624c3cc0b1cf",
"a00236_source.html",
"a00533_source.html",
"a00788.html#a5abec1f4afab123bb09c5edf6d2c406f",
"a00908.html#add4270789c27c30c5e0790dc75975bcc",
"a01635.html#aeb5b5208b8c0cc0d4bb2059d88d3ca4b",
"a01703.html#a017937790c33d33aaec76a569cce36c1",
"a01775.html#a0c9b0625fd48f4a0c5c85a46f6d623fa",
"a01819.html#a7389a2d6538515e16ce38650cbba386c",
"a01879.html#aab94b00ea01c90081198a12c48fa1ce5",
"a01919.html#af0ea2c317f8e62a8953ca4c25e04d3f7",
"a01979.html#a84aff348755827c0b755d90ca8b7760f",
"a02019.html#a2189647b592ac06f152f7252818ac250",
"a02143.html#a2ea1479930a041b204bc461dcc5efda4",
"a02786.html#test_source"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';